Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class Invoker

    java.lang.Object
      org.codehaus.groovy.runtime.Invoker

Deprecated.

    public class Invoker

extends Object

A helper class to invoke methods or extract properties on arbitrary Java objects dynamically. All methodes in this calss are deprecated!

Version:
  $Revision: 9487 $
Author:
  James Strachan

Field Summary
`protected static Object[]` | `EMPTY_ARGUMENTS` Deprecated.
`protected static Class[]` | `EMPTY_TYPES` Deprecated.

Constructor Summary
`Invoker()` Deprecated.

Method Summary
`Object[]` | `asArray(Object arguments)` Deprecated.
`Object[]` | `asUnwrappedArray(Object arguments)` Deprecated.
`Object` | `getAttribute(Object object, String attribute)` Deprecated.
`MetaClass` | `getMetaClass(Object object)` Deprecated.
`MetaClassRegistry` | `getMetaRegistry()` Deprecated.
`Closure` | `getMethodPointer(Object object, String methodName)` Deprecated.
`Object` | `getProperty(Object object, String property)` Deprecated.
`Object` | `invokeConstructorOf(Class type, Object arguments)` Deprecated.
`Object` | `invokeMethod(Object object, String methodName, Object arguments)` Deprecated.
`Object` | `invokeStaticMethod(Class type, String method, Object arguments)` Deprecated.
`Object` | `invokeSuperMethod(Object object, String methodName, Object arguments)` Deprecated.
`void` | `removeMetaClass(Class clazz)` Deprecated.
`void` | `setAttribute(Object object, String attribute, Object newValue)` Deprecated.
`void` | `setProperty(Object object, String property, Object newValue)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ARGUMENTS

    protected static final Object[] EMPTY_ARGUMENTS

  Deprecated.

### EMPTY_TYPES

    protected static final Class[] EMPTY_TYPES

  Deprecated.

Constructor Detail

### Invoker

    public Invoker()

  Deprecated.

Method Detail

### getMetaRegistry

    public MetaClassRegistry getMetaRegistry()

  Deprecated.

### getMetaClass

    public MetaClass getMetaClass(Object object)

  Deprecated.

### invokeMethod

    public Object invokeMethod(Object object,
                               String methodName,
                               Object arguments)

  Deprecated.

  Invokes the given method on the object.

### invokeSuperMethod

    public Object invokeSuperMethod(Object object,
                                    String methodName,
                                    Object arguments)

  Deprecated.

### invokeStaticMethod

    public Object invokeStaticMethod(Class type,
                                     String method,
                                     Object arguments)

  Deprecated.

### invokeConstructorOf

    public Object invokeConstructorOf(Class type,
                                      Object arguments)

  Deprecated.

### asArray

    public Object[] asArray(Object arguments)

  Deprecated.

  Converts the given object into an array; if its an array then just cast otherwise wrap it in an array

### asUnwrappedArray

    public Object[] asUnwrappedArray(Object arguments)

  Deprecated.

### getProperty

    public Object getProperty(Object object,
                              String property)

  Deprecated.

  Looks up the given property of the given object

### setProperty

    public void setProperty(Object object,
                            String property,
                            Object newValue)

  Deprecated.

  Sets the property on the given object

### getAttribute

    public Object getAttribute(Object object,
                               String attribute)

  Deprecated.

  Looks up the given attribute (field) on the given object

### setAttribute

    public void setAttribute(Object object,
                             String attribute,
                             Object newValue)

  Deprecated.

  Sets the given attribute (field) on the given object

### getMethodPointer

    public Closure getMethodPointer(Object object,
                                    String methodName)

  Deprecated.

  Returns the method pointer for the given object name

### removeMetaClass

    public void removeMetaClass(Class clazz)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD